package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.MedidasProcionamentoFlows;
import com.javaseleniumtemplate.pages.MedidasProcionamentoPage;
import org.testng.annotations.Test;

public class MedidasProcionamentoTests extends TestBase {

    MedidasProcionamentoPage medidasProcionamentoPage;
    MedidasProcionamentoFlows medidasProcionamentoFlows;
    LoginFlows loginFlows;

    //adicionar uma nova medida de porcionamento
    //editar a medida adicionada
    //tentar excluir a medida adicionada e cancelar a exclusão, após isso conferir na tela inicial se a medida continua presente e não foi removida
    //excluir a medida adicionada com sucesso
    //verificar os campos obrigatórios (código e nome) da tela
    //tentar adicionar um porcionamento com código já cadastrado e verificar a mensagem que é exibida na tela
    @Test
    public void medidasDeProcionamento() {
        medidasProcionamentoPage = new MedidasProcionamentoPage();
        medidasProcionamentoFlows = new MedidasProcionamentoFlows();
        loginFlows = new LoginFlows();

        loginFlows.efetuarLogin();
        medidasProcionamentoFlows.navegateMedidasPorcionamento();
        medidasProcionamentoPage.adicionarMedida();
        medidasProcionamentoPage.editarMedida();
        medidasProcionamentoPage.cancelarExclusao();
        medidasProcionamentoPage.excluirMedidaAdicionada();
        medidasProcionamentoPage.refresh();
        medidasProcionamentoPage.verificarCamposObrigatorios();
        medidasProcionamentoPage.tentarAddMedidaComCodigoExistente();

        try {
            Thread.sleep(7000);
        } catch (InterruptedException e) {
            throw new RuntimeException(e);
        }
    }

}
